SDL_GetGamepadFromPlayerIndex(3)

NAME
SDL_GetGamepadFromPlayerIndex - Get the SDL_Gamepad
 associated with a player index.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Gamepad * SDL_GetGamepadFromPlayerIndex(int player_index);

FUNCTION PARAMETERS

player_index
    the player index, which different from the instance ID.

RETURN VALUE
( SDL_Gamepad
 *) Returns the SDL_Gamepad

associated with a player index.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadPlayerIndex(3), •(3), SDL_SetGamepadPlayerIndex(3)